      /if not defined (JSON_C)
      /define JSON_C

     /*
      * Copyright (c) 2007-2010 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the JSON service program.
      *
      * JSON service program is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * JSON service program is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with JSON service program.  If not, see http://www.gnu.org/licenses/.
      */

      *-------------------------------------------------------------------------
      * Constants
      *-------------------------------------------------------------------------
      *
      * Message IDs
      *
     D MSG_NO_JSON_OBJECT...
     D                 C                   1
     D MSG_ENTRY_TYPE_MISMATCH...
     D                 C                   2
     D MSG_ARRAY_ELEMENT_NOT_FOUND...
     D                 C                   3
     D MSG_TYPE_CAST_EXCEPTION...
     D                 C                   4
     D MSG_FILE_OUTPUT_ERROR...
     D                 C                   5
     D MSG_ENTRY_NOT_FOUND...
     D                 C                   6
      *
      * Types
      *
     D JSON_TYPE_BOOLEAN...
     D                 C                   1
     D JSON_TYPE_INT   C                   2
     D JSON_TYPE_LONG  C                   3
     D JSON_TYPE_DOUBLE...
     D                 C                   4
     D JSON_TYPE_STRING...
     D                 C                   5
     D JSON_TYPE_ARRAY...
     D                 C                   6
     D JSON_TYPE_OBJECT...
     D                 C                   7
     D JSON_TYPE_NULL  C                   8
      *
      * Output types
      *
     D JSON_OUTPUT_NORMAL...
     D                 C                   0
     D JSON_OUTPUT_PRETTY_PRINT...
     D                 C                   1
     D JSON_OUTPUT_COMPACT...
     D                 C                   2

      /endif
